unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, DB, Vcl.StdCtrls, WEBLib.StdCtrls, Vcl.Controls, WEBLib.Grids;

type
  TForm1 = class(TWebForm)
    wtc1: TWebTableControl;
    wbtn1: TWebButton;
    procedure wbtn1Click(Sender: TObject);
    procedure wtc1ClickCell(Sender: TObject; ACol, ARow: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.wbtn1Click(Sender: TObject);
var i:Integer;
begin
  wtc1.ColCount:=2;
  wtc1.RowCount:=11;
  wtc1.Cells[0,0]:='Header1';
  wtc1.Cells[1,0]:='Header2';
  for i:=1 to 10 do
    begin
      wtc1.Cells[0,i]:='Value1_'+i.ToString;
      wtc1.Cells[1,i]:=i.ToString;
    end;
  asm
    $('#wtc1Table').dataTable( {
      "paging": false,
      "searching": false,
      "info": false,
      "responsive": true,
      "aaSorting": [],
      "language": {
        "url": "https://cdn.datatables.net/plug-ins/1.10.20/i18n/Polish.json"
      }
    } );
  end;
end;

procedure TForm1.wtc1ClickCell(Sender: TObject; ACol, ARow: Integer);
begin
  if(ARow>0)then
    document.getElementById('cardh').innerHTML:='Clicked '+wtc1.Cells[0,ARow];
end;

end.